Skip to main content
POST
/
schedule
/
v1
/
worked-holidays
Create a worked holiday for an employee
curl --request POST \
  --url https://api-{region}.sesametime.com/schedule/v1/worked-holidays \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "holidayDayOffId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "comment": "<string>",
  "compensatedDate": "2023-12-25"
}
'
{
  "data": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Create a Worked Holiday for an employee

employeeId
string<uuid>
required
managerId
string<uuid>
required
holidayDayOffId
string<uuid>
required
comment
string
required
compensatedDate
string<date>

Y-m-d

Response

200 - application/json

Object

data
string<uuid>
meta
object